
-- Update the existing draw function to draw the right thumbstick and its virtual thumbstick
function touchControls:draw()
  -- Draw left thumbstick
  love.graphics.circle("line", self.leftThumbstickX, self.leftThumbstickY, self.leftThumbstickRadius)

  -- Draw virtual thumbstick for left thumbstick when pressed and dragged
  if self.leftThumbstickPressed then
    love.graphics.circle("line", self.leftThumbstickX + touchControls.leftxaxis, self.leftThumbstickY + touchControls.leftyaxis, self.leftThumbstickRadius * 1.5)
  end
  --print(self.leftThumbstickX)
  

  -- Draw buttons for left thumbstick
  --[[for _, button in pairs(self.buttons) do
    if button.pressed then
      love.graphics.circle("fill", button.x, button.y, self.buttonRadius)
    else
      love.graphics.circle("line", button.x, button.y, self.buttonRadius)
    end
  end--]]

	if not (layout=="arcade") then
  -- Draw right thumbstick
  love.graphics.circle("line", self.rightThumbstickX, self.rightThumbstickY, self.rightThumbstickRadius)

  -- Draw virtual thumbstick for right thumbstick when pressed and dragged
  if self.rightThumbstickPressed then
    love.graphics.circle("line", self.rightThumbstickX + touchControls.rightxaxis, self.rightThumbstickY + touchControls.rightyaxis, self.rightThumbstickRadius * 1.5)
  end
  end
   
  -- Draw buttons for left thumbstick
  for i, button in pairs(self.buttons) do
  
			if i==6 then love.graphics.setColor(1,0,0,1)
		elseif i==2 then love.graphics.setColor(1,0,0,1)
		
		elseif i==3 then love.graphics.setColor(0,0,1,1)
		elseif i==7 then love.graphics.setColor(0,0,1,1)
		
		elseif i==4 then love.graphics.setColor(0,1,0,1)
		elseif i==8 then love.graphics.setColor(0,1,0,1)
		
		elseif i==1 then love.graphics.setColor(0,1,1,1)
		elseif i==5 then love.graphics.setColor(0,1,1,1)
		
		else love.graphics.setColor(1,1,1,1)
		end
  
    if button.pressed then
      love.graphics.circle("fill", button.x, button.y, self.buttonRadius)
    else
      love.graphics.circle("line", button.x, button.y, self.buttonRadius)
    end
  end
  
  love.graphics.print("CurrentLayout: " .. touchControls.layout, 200,50,0,1)
	
	if skinEnabled==true then
		touchControls:skindraw()
	end
	drawReceivingGamepad()

end


offsetX,offsetY=0,0
offsetXright,offsetYright=0,0
function drawReceivingGamepad()

 -- Draw left thumbstick
  --love.graphics.circle("line", touchControls.receivedLeftXAxis+offsetX, touchControls.receivedLeftYAxis+offsetY, touchControls.leftThumbstickRadius)
  
  -- Draw right thumbstick
  --love.graphics.circle("line", touchControls.receivedRightXAxis+offsetXright, touchControls.receivedRightYAxis+offsetYright, touchControls.rightThumbstickRadius)
end
