	NetworkMenuVisible=false
	
	-- Load LuaSocket library
socket = require("socket")

-- Common base port number
local basePort = 1024


-- Set the initial instance number
instanceNumber = 2
	
	--Initialize network parameters
	receivePort=1025
	sendPort=1024
	-- Values for IP range
	ipRangeStart = "192.168.178.0"
	ipRangeEnd = "192.168.178.40"
	
	-- Create a UDP socket
	udp = socket.udp4()
	udp:settimeout(0)


	-- Set the destination IP address and port for sending
	sendAddress = "127.0.0.1"
	--sendAddress = "192.168.178.36"
	--sendAddress = "192.168.122.74"

	-- Set the local IP address and port for receiving
	receiveAddress = "127.0.0.1"
	--receiveAddress = "192.168.178.36"
	--receiveAddress = "192.168.122.74"
	udp:setsockname(receiveAddress, receivePort)
	
	NetworkSetupButton = {
	text = "Network setup",
	textPosition ="top",
	x = love.graphics.getWidth() / 4, y = love.graphics.getHeight() / 4+200,
    sx = 1,
    hovered = false,
    color = {1, 1, 1},
    hoveredColor = {1, 1, 0},
    font = alesianaFont,
    unlocked = true,
	}
	
	autobindButton = {
	text = "autobind",
	textPosition ="top",
	x = love.graphics.getWidth() / 3, y = love.graphics.getHeight()/1.8,
    sx = 1,
    hovered = false,
    color = {1, 1, 1},
    hoveredColor = {1, 1, 0},
    font = alesianaFont,
    unlocked = true,
	}
	
		CloseNetworkButton = {
	text = "close network",
	textPosition ="top",
	x = love.graphics.getWidth() /1.3, y = 6,
    sx = 1,
    hovered = false,
    color = {1, 1, 1},
    hoveredColor = {1, 1, 0},
    font = alesianaFont,
    unlocked = true,
	}
	
	function drawNetworkSetup()
	
		-- Network Setup
	hovered = isButtonHovered (NetworkSetupButton)
	drawButton (NetworkSetupButton, hovered,NetworkSetupButton.text)

	if hovered and love.mouse.isDown(1) then 
		
		if love.mouse.isDown(1) or isjoystickbeingpressed(joystick,button) then
				if NetworkMenuVisible==true then 
					NetworkMenuVisible=false
					menuOpened=true showAbout=false
			elseif NetworkMenuVisible==false then 
				NetworkMenuVisible=true
				require ("src/multipleFields/main")
				--menuOpened=false showAbout=false
			end
			love.timer.sleep( 0.3 )
		end
	elseif hovered then
				love.graphics.print("Network setup", love.graphics.getWidth() /3,love.graphics.getHeight()-50, 0,1)
	end
		
end

function drawCloseNetworkSetup()
--Close Network Button
	hovered = isButtonHovered (CloseNetworkButton)
	drawButton (CloseNetworkButton, hovered,CloseNetworkButton.text)

	if hovered and love.mouse.isDown(1) then 
	
		if love.mouse.isDown(1) or isjoystickbeingpressed(joystick,button) then
			
			NetworkMenuVisible=false
			menuOpened=false showAbout=false
			touchControls.layout = "gamepad"
			love.timer.sleep( 0.3 )
			return
		end
	elseif hovered then
			love.graphics.print("Close Network setup", love.graphics.getWidth() /3,love.graphics.getHeight()-50, 0,1)
	end


end

function drawAutobindButton()	
	--Autobind Button
	hovered = isButtonHovered (autobindButton)
	drawButton (autobindButton, hovered,autobindButton.text)

	if hovered and love.mouse.isDown(1) then 
	
		if love.mouse.isDown(1) or isjoystickbeingpressed(joystick,button) then
			searchingForInstances=true
			love.graphics.print("Autobind pressed, please wait, searching in process", love.graphics.getWidth() /2,love.graphics.getHeight()/2, 0,1)
			--searchingForValidInstances:play()
			love.timer.sleep( 0.3 )
			return
		end
	elseif hovered then
			love.graphics.print("Auto bind other instances within the range provided", 50,love.graphics.getHeight()-120, 0,1)
			love.graphics.print("This feature does not work yet and is here", 90,love.graphics.getHeight()-90, 0,1)
			love.graphics.print("for further testing and development purposes", 90,love.graphics.getHeight()-60, 0,1)
	end
	
end
