-- Load LuaSocket library
--socket = require("socket")

-- Create a UDP socket
--udp = socket.udp4()
--udp:settimeout(0)

-- Set the destination IP address and port
--local address, port = "127.0.0.1", 1024

--local address, port = "::1", 1024

--udp:setpeername(address, port)

math.randomseed(os.time()) 
	entity = tostring(math.random(99999))

-- Define variables to store received axis values
receivedLeftXAxis = 0
receivedLeftYAxis = 0
receivedRightXAxis = 0
receivedRightYAxis = 0
connectedInstance="none"

function receiveThumbstickAxes()

  -- Print a message to indicate that the function is called
  --print("Receiving thumbstick axes...")

  -- Attempt to receive data from the UDP socket
  --data, address, port = udp:receivefrom()
  data, address, port = udp:receivefrom()
  
  --local data = udp:receivefrom()

  -- Print the received IP address and port for debugging
  --print("Received from IP:", address)
  --print("Received from Port:", port)
	--print("Received data:", data)
	--print(NetworkConnected)
  -- Check if data is received
  if data then
  --print(data)
  
	offsetX,offsetY=200,100
	offsetXright,offsetYright=400,100

    --print("Received data:", data)

    -- Deserialize the received data
    local values = {}
    for value in string.gmatch(data, "([^,]+)") do
      table.insert(values, tonumber(value))
    end
    -- Print each value stored in the 'values' table
for i, v in ipairs(values) do
    print("Received instance Type " .. i .. ": " .. v)
end

	
	--print(NetworkConnected)
   -- Check if it's the first time connecting to an instance
   -- Check if it's the first time connecting to an instance
--if NetworkConnected == true then

    -- Ensure that at least one value is received
    if #values >= 1 then
        -- Extract instanceType from the received data
        local instanceType = values[1]
        if instanceType == 1 then
            connectedInstance = "Virtual_Gamepad"
        elseif instanceType == 2 then
            connectedInstance = "Boxclip_Game"
            boxclipplayer = love.graphics.newImage("src/assets/gfx/boxclipplayer.png")
        elseif instanceType == 3 then
            connectedInstance = "Starphase_Game"
            starphaseShip = love.graphics.newImage("src/assets/gfx/starphaseShip.png")
        end
        -- Print a message indicating the type of instance connected
        print("Connected to:", connectedInstance)
    end
--end

	--debug of data

-- Print each value
for i, value in ipairs(values) do
    --print("Value " .. i .. ": " .. value)
		if i==1 then touchControls.receivedLeftXAxis=value 
    elseif i==2 then touchControls.receivedLeftYAxis=value 
    elseif i==3 then touchControls.receivedRightXAxis=value 
    elseif i==4 then touchControls.receivedRightYAxis=value 
    end
end
	
    -- Print the parsed values for debugging
    --print("Parsed values:", unpack(values))

--normalize values
--[[
    -- Update thumbstick axes based on the received data
    if #values >= 2 then
      --receivedLeftXAxis = normalizeAxisValue(values[1])
      --receivedLeftYAxis = normalizeAxisValue(values[2])
      --print("Updated Left Thumbstick Axes - X:", receivedLeftXAxis, "Y:", receivedLeftYAxis)
    end

    if #values >= 4 then
      --receivedRightXAxis = normalizeAxisValue(values[3])
      --receivedRightYAxis = normalizeAxisValue(values[4])
      --print("Updated Right Thumbstick Axes - X:", receivedRightXAxis, "Y:", receivedRightYAxis)
    end
    --]]
    --touchControls:updateReceivedLeftThumbstickAxes(receivedLeftXAxis, receivedLeftYAxis)
	--touchControls:updateReceivedRightThumbstickAxes(receivedRightXAxis, receivedRightYAxis)
	
	--print("data received.")
	if NetworkConnected==false then		-- if instance is connected to another instance
		triggerConnectionEvent()
		NetworkConnected=true
	end
  else
  	offsetX,offsetY=0,0
	offsetXright,offsetYright=0,0
    -- Print a message if no data is received
    --print("No data received.")
  end
end



-- Function to normalize and scale axis values to fit within the range of -1 to 1
function normalizeAxisValue(value)
  -- Assuming the range of received axis values is between 0 and 1,
  -- you can normalize and scale them to fit within the range of -1 to 1
  return (value * 2) - 1
end

